Update current user profile - SuperAI Flows
Update current user profile
cURL
curl --request PATCH \
--url https://flows.super.ai/api/profile/me \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"first_name": "John",
"last_name": "Doe",
"password": "MySecureP@ssw0rd123"
}
'```
### Python
```python
import requests
url = "https://flows.super.ai/api/profile/me"
payload = {
"first_name": "John",
"last_name": "Doe",
"password": "MySecureP@ssw0rd123"
}
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'PATCH',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({first_name: 'John', last_name: 'Doe', password: 'MySecureP@ssw0rd123'})
};
fetch('https://flows.super.ai/api/profile/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response
200
{
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modified_by": "<string>",
"role": "app_user",
"status": "pending",
"updated_at": "2023-11-07T05:31:56Z",
"user_auth_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
Authorizations
- X-API-Key: string, required. API key authentication. Include your API key in the X-API-Key header as:
X-API-Key YOUR_API_KEY
- Authorization: string, required. JWT Bearer token authentication. Include your access token in the Authorization header as:
Bearer YOUR_ACCESS_TOKEN
Body
- first_name: string | null, (1 - 100 characters)
- last_name: string | null, (1 - 100 characters)
- password: string | null, (8 - 128 characters)
Response fields
- email: string (required)
- first_name: string (required)
- last_name: string (required)
- organization_id: string (required)
- created_at: string
- id: string
- modified_by: string
- role: string (default: app_user)
- status: string (default: pending)
- updated_at: string
- user_auth_id: string | null